Bug 531990 - undefined symbol: XML_GetCurrentLineNumber
undefined symbol: XML_GetCurrentLineNumber
Status: CLOSED ERRATA
Product: Fedora EPEL
Classification: Fedora
Component: tdom (Show other bugs)
el5
All Linux
low Severity medium
: ---
: ---
Assigned To: Wart
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-10-30 02:56 EDT by Eric Moret
Modified: 2009-11-20 18:27 EST (History)
2 users (show)

See Also:
Fixed In Version: 0.8.2-3.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-20 18:26:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eric Moret 2009-10-30 02:56:51 EDT
Description of problem:
undefined symbol: XML_GetCurrentLineNumber


Version-Release number of selected component (if applicable):
tdom-0.8.2-2

How reproducible:
Always

Steps to Reproduce:
1. install tdom rpm
$ sudo yum install tdom

2. load libtdom from tclsh
$ tclsh
% load /usr/lib/tdom0.8.2/libtdom0.8.2.so
couldn't load file "/usr/lib/tdom0.8.2/libtdom0.8.2.so": /usr/lib/tdom0.8.2/libtdom0.8.2.so: undefined symbol: XML_GetCurrentLineNumber
  
Actual results:
undefined symbol: XML_GetCurrentLineNumber

Expected results:
load with no error as is the case on Fedora 12. I cannot see a difference between the package shipped with F12 and the one shipped in EPEL5. I am not quite sure why this is failing here on RHEL5 but not on F12.
Comment 1 Eric Moret 2009-10-30 03:02:54 EDT
My current work around is to rebuild tdom without the tdom-0.8.2-noexpat.patch but I suspect this is not the desirable solution as it works fine on F12 with this patch.
Comment 2 Eric Moret 2009-10-30 04:09:31 EDT
This issue could possibly be related to bug 195888.
Comment 3 Orion Poplawski 2009-10-30 11:26:54 EDT
In the EL-5 build, libtdom0.8.2.so is not linked against expat.

F-12:
# ldd /usr/lib/libtdom0.8.2.so
        linux-gate.so.1 =>  (0x007ac000)
        libexpat.so.1 => /lib/libexpat.so.1 (0x00222000)
        libc.so.6 => /lib/libc.so.6 (0x00488000)
        /lib/ld-linux.so.2 (0x00985000)

EL-5:
# ldd /usr/lib64/tdom0.8.2/libtdom0.8.2.so
        libc.so.6 => /lib64/libc.so.6 (0x00002aaaaad20000)
        /lib64/ld-linux-x86-64.so.2 (0x0000003427000000)

While there is a comment about adding -lexpat, the patch file was never updated.

I'll kick off a new build.
Comment 4 Fedora Update System 2009-10-30 11:46:24 EDT
tdom-0.8.2-3.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/tdom-0.8.2-3.el5
Comment 5 Fedora Update System 2009-10-30 11:46:30 EDT
tdom-0.8.2-3.el4 has been submitted as an update for Fedora EPEL 4.
http://admin.fedoraproject.org/updates/tdom-0.8.2-3.el4
Comment 6 Fedora Update System 2009-11-02 20:59:33 EST
tdom-0.8.2-3.el4 has been pushed to the Fedora EPEL 4 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update tdom'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/EL-4/FEDORA-EPEL-2009-0783
Comment 7 Fedora Update System 2009-11-02 21:00:10 EST
tdom-0.8.2-3.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update tdom'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/EL-5/FEDORA-EPEL-2009-0785
Comment 8 Fedora Update System 2009-11-11 12:21:58 EST
tdom-0.8.2-3.el4 has been pushed to the Fedora EPEL 4 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update tdom'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/EL-4/FEDORA-EPEL-2009-0783
Comment 9 Fedora Update System 2009-11-11 12:22:26 EST
tdom-0.8.2-3.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update tdom'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/EL-5/FEDORA-EPEL-2009-0785
Comment 10 Fedora Update System 2009-11-20 18:26:31 EST
tdom-0.8.2-3.el4 has been pushed to the Fedora EPEL 4 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2009-11-20 18:27:20 EST
tdom-0.8.2-3.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.